Bug 1125248 - enable-fat isn't used to compile gmp
Summary: enable-fat isn't used to compile gmp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gmp
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frantisek Kluknavsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 12:24 UTC by Nikos Mavrogiannopoulos
Modified: 2015-11-05 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-05 15:34:12 UTC


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2014-07-31 12:24:03 UTC
Description of problem:
GMP allows including multiple assembly code optimizations (see https://gmplib.org/manual/Build-Options.html ) that are enabled on the proper CPU type. GMP as compiled in Fedora doesn't enable that. That is unfortunate as Fedora is installed in a variety of systems and that would have allowed faster execution in all of them.

The option that enables it is --enable-fat.

Comment 1 Fedora End Of Life 2015-11-04 15:48:48 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.